function wav = construct_wavelets(qmf,n,Jc,method)
%

if ~exist('method','var'),
	method = 1;
end

J = nextpow2(n);

if Jc >= J,
  wav = [];
else
 if method == 1,
  for j=1:J-Jc
   buf = zeros(n,1);
   buf(2^(J-j)+1) = 1;
   wav(:,2^(J-j)+1) = sqrt(n)*IWT_PO(buf,Jc,qmf);
   for k=2:2^(J-j)
    wav(:,k+2^(J-j)) = circshift(wav(:,2^(J-j)+1),(k-1)*2^j);
   end
  end
  buf = zeros(n,1);
  buf(1) = 1;
  wav(:,1) = sqrt(n)*IWT_PO(buf,Jc,qmf);
  for k=2:2^Jc
   wav(:,k) = circshift(wav(:,1),(k-1)*2^(J-Jc));
  end
 else
  for k=1:n
   buf = zeros(n,1);
   buf(k) = 1;
   wav(:,k) = sqrt(n)*IWT_PO(buf,Jc,qmf);
  end
 end
end

%
% Part of DensityDeconvToolbox Version:100
% Written by: Jalal Fadili, GREYC CNRS ENSICAEN
%             Christophe Chesneau, LMNO University of Caen
% Created July 2011
% This material is distributed under CeCiLL licence.
% E-mail: Jalal.Fadili@greyc.ensicaen.fr
% 


