function pdf=makesplinepdf(x,xmax,order)
% Generate order spline pdf of support 2*order*xmax.
  
pu=(abs(x)<=(order*xmax)).*ones(size(x))/(2*xmax); % Uniform.
pusub=['pu(1:' num2str(order) ':end)'];

com=pusub;
if order >= 2,
	for i=1:order-1
		com = ['conv(' com ',' pusub ')'];
	end
end
pdf=eval(com);
pdf=[pdf(:);zeros(order-1,1)]/sum(pdf(:));

%
% Part of DensityDeconvToolbox Version:100
% Written by: Jalal Fadili, GREYC CNRS ENSICAEN
%             Christophe Chesneau, LMNO University of Caen
% Created July 2011
% This material is distributed under CeCiLL licence.
% E-mail: Jalal.Fadili@greyc.ensicaen.fr
% 


